/*
 * gsampler-database-progress.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 *
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_DATABASE_PROGRESS_H_
#define _GSAMPLER_DATABASE_PROGRESS_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_TYPE_DATABASE_PROGRESS             (gsampler_database_progress_get_type ())
#define GSAMPLER_DATABASE_PROGRESS(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_DATABASE_PROGRESS, GsamplerDatabaseProgress))
#define GSAMPLER_DATABASE_PROGRESS_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_DATABASE_PROGRESS, GsamplerDatabaseProgressClass))
#define GSAMPLER_IS_DATABASE_PROGRESS(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_DATABASE_PROGRESS))
#define GSAMPLER_IS_DATABASE_PROGRESS_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_DATABASE_PROGRESS))
#define GSAMPLER_DATABASE_PROGRESS_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_DATABASE_PROGRESS, GsamplerDatabaseProgressClass))

typedef struct _GsamplerDatabaseProgressClass GsamplerDatabaseProgressClass;
typedef struct _GsamplerDatabaseProgress GsamplerDatabaseProgress;

struct _GsamplerDatabaseProgressClass
{
	GtkVBoxClass parent_class;
};

struct _GsamplerDatabaseProgress
{
	GtkVBox parent_instance;
	GtkProgressBar *progress;
	GtkLabel *title;
	gint timeout_id;
};

GType						gsampler_database_progress_get_type (void) G_GNUC_CONST;
GsamplerDatabaseProgress*   gsampler_database_progress_new (void);
void						gsampler_database_progress_update (GsamplerDatabaseProgress *self, 
						                                       gdouble fraction, const gchar *text);

G_END_DECLS

#endif /* _GSAMPLER_DATABASE_PROGRESS_H_ */
